LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFontMappingUse Interface Referencepublished

This interface extends the XToolkit interface with support for tracking how requested fonts are mapped to actual fonts when laying out text. More...

`import"XFontMappingUse.idl";`

Inheritance diagram for XFontMappingUse:

## Public Member Functions
void | startTrackingFontMappingUse ()
| Activate tracking of how requested fonts are mapped to available fonts. More...
sequence< XFontMappingUseItem > | finishTrackingFontMappingUse ()
| Stop tracking of how requested fonts are mapped to available fonts and return the mappings that took place since the call to startTrackingFontMappingUse(). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface extends the XToolkit interface with support for tracking how requested fonts are mapped to actual fonts when laying out text.

Since
  LibreOffice 7.3

## Member Function Documentation

## ◆ finishTrackingFontMappingUse()

sequence< XFontMappingUseItem > finishTrackingFontMappingUse | ( |  | ) |

Stop tracking of how requested fonts are mapped to available fonts and return the mappings that took place since the call to startTrackingFontMappingUse().

## ◆ startTrackingFontMappingUse()

void startTrackingFontMappingUse | ( |  | ) |

Activate tracking of how requested fonts are mapped to available fonts.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XFontMappingUse.idl